Subject: Re: bug#18784: Coultdn't compile emacs-24.4

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Mar 2015 21:34:34 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Mon, 16 Mar 2015 15:06:22 -0400
> 
> > I think we don't really understand why this bug happens.  At least I
> > have no clear idea of how PIE can cause temacs segfault.
> 
> I guess if PIE is used in order to place Emacs's code at randomized
> addresses (different address every time an Emacs process is launched),
> it can break the dump because our subr objects will end up with pointers
> to addresses that aren't valid any more (might be other such problems,
> but that's the first that comes to my mind).

Then this is only an issue on systems where PIE == address
randomization, isn't it?